<?php
require'fun.php';
if($_SERVER['REQUEST_URI']!='/descarcari')
$back[1]='<a href="/descarcari">'.img('download.gif',1).'Descărcări</a>';
$x1='';
$x2='';
$x3='WHERE`vizibil`>"0"';
$x4='&&`descarcari_fisiere`.`vizibil`>"0"';
$x5='';
if($la!='')
{
$x1.=' membru '.nume($la,1);
$x2.='/la/'.$la.'-'.seo(nume($la,1));
$x3.='&&`de`="'.$la.'"';
$x4.='&&`descarcari_fisiere`.`de`="'.$la.'"';
$x5.=' membru '.nume($la);
}
if(isset($_GET['pid']))
{
$pinfo=$conn->query('SELECT`id`,`de`,`fid`,`nume`,`link`,`descriere`,`vizualizari`,`descarcari`,`data`,`raportat`,`pret_com`,`pret_rate`,`dimensiune`,`durata`,`rata`,`id_nou`FROM`descarcari_fisiere`WHERE`id`="'.$pid.'"')->fetch_row();
if($pinfo[0]>0)
{
if($pinfo[15]>0)
{
http_response_code(301);
header('Location: '.$adresasite[0].str_replace('/id/'.$pid.'-','/id/'.$pinfo[15].'-',$_SERVER['REQUEST_URI']));
header('Cache-Control: no-store,no-cache,must-revalidate,max-age=0,post-check=0,pre-check=0');
header('Expires: -1');
require'f_fun.php';
}
$pnume=htmlspecialchars($pinfo[3]);
$fid=$pinfo[2];
if($_SERVER['REQUEST_URI']!='/fisier/id/'.$pid.'-'.seo($pinfo[3])&&$_SERVER['REQUEST_URI']!='/admin-sterge-fisier/id/'.$pid.'-'.seo($pinfo[3]))
$back[3]='<a href="/fisier/id/'.$pid.'-'.seo($pinfo[3]).'" title="Fișier '.htmlspecialchars($pinfo[3].' - '.$conn->query('SELECT`nume`FROM`descarcari_albume`WHERE`id`="'.$pinfo[2].'"')->fetch_row()[0]).'">'.img('download.gif',1).'Fișier '.$pnume.'</a>';
}
else
{
http_response_code(410);
$titlu='Eroare!';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest fișier nu a fost gasit!<br />Probabil a fost șters!'.$div[0];
require'f_jos.php';
}
}
if($fid!='')
{
$finfo=$conn->query('SELECT`id`,`cid`,`nume`,`data`,`logo`,`logo1`,`logo2`,`logo3`,`logo4`,`logo5`,`link`,`descriere`FROM`descarcari_albume`WHERE`id`="'.$fid.'"')->fetch_array();
if($finfo[0]>0)
{
$fnume=htmlspecialchars($finfo[2]);
$x1.=', albumul '.$fnume;
$x2.='/album/'.$fid.'-'.seo($finfo[2]);
$x3.='&&`fid`="'.$fid.'"';
$x4.='&&`descarcari_fisiere`.`fid`="'.$fid.'"';
$cid=$finfo[1];
}
else
{
http_response_code(410);
$titlu='Eroare!';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest album nu a fost gasit!<br />Probabil a fost șters!'.$div[0];
require'f_jos.php';
}
}
if($cid!='')
{
$cinfo=$conn->query('SELECT`id`,`nume`FROM`descarcari_categorii`WHERE`id`="'.$cid.'"')->fetch_row();
if($cinfo[0]>0)
{
$cnume=htmlspecialchars($cinfo[1]);
$x1.=', categoria '.$cnume;
if(isset($_GET['cid']))
$x2.='/categorie/'.$cid.'-'.seo($cinfo[1]);
}
else
{
http_response_code(410);
$titlu='Eroare!';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Această categorie nu a fost găsită!<br />Probabil a fost ștearsă!'.$div[0];
require'f_jos.php';
}
}
if($_SERVER['REQUEST_URI']!='/descarcari'.$x2&&$x2!='')
$back[2]='<a href="/descarcari'.$x2.'">'.img('download.gif',1).'Descărcări'.$x1.'</a>';
if($go!='')
{
$x2.='/tip/'.$go;
if($go=='2')
$x3.='&&`vizualizari`>"0"';
if($go=='3')
$x3.='&&`descarcari`>"0"';
if($go=='4'||$go=='5'||$go=='6')
$x3.='&&`id`IN(SELECT DISTINCT`pid`FROM`descarcari_note`)';
if($go=='7')
$x3.='&&`id`IN(SELECT DISTINCT`pid`FROM`descarcari_comentarii`)';
if($go=='8'||$go=='9')
$x3.='&&`id`IN(SELECT DISTINCT`pid`FROM`descarcari_aprecieri`WHERE`valoare`="'.($go==8?1:2).'")';
if($go=='10')
$x3.='&&`pret_com`>"0"';
if($go=='11')
$x3.='&&`pret_rate`>"0"';
}